Error in remove chimeras step when running denoising via dada2

Hi, I'm running analysis in QIIME2 (2023.2) on 16S amplicon sequences. Historically, I've had no issues with running this; however, this time, I am getting an error when denoising via dada2, specifically in the chimera removal step. My code and the output are below:

$ qiime dada2 denoise-paired --i-demultiplexed-seqs demux.qza --o-table table --o-denoising-stats stats-dada2 --o-representative-sequences rep-seqs --p-trim-left-f 1 --p-trim-left-r 1 --p-trunc-len-f 240 --p-trunc-len-r 240 --p-max-ee-f 29 --p-max-ee-r 29 --verbose
R version 4.2.2 (2022-10-31) 
Loading required package: Rcpp
DADA2: 1.26.0 / Rcpp: 1.0.10 / RcppParallel: 5.1.6 
2) Filtering ..........
3) Learning Error Rates
249720345 total bases in 1044855 reads from 4 samples will be used for learning the error rates.
249720345 total bases in 1044855 reads from 4 samples will be used for learning the error rates.
3) Denoise samples ..........
..........
5) Remove chimeras (method = consensus)
Error in isBimeraDenovoTable(unqs[[i]], ..., verbose = verbose) : 
  Input must be a valid sequence table.
Calls: removeBimeraDenovo -> isBimeraDenovoTable
3: stop("Input must be a valid sequence table.")
2: isBimeraDenovoTable(unqs[[i]], ..., verbose = verbose)
1: removeBimeraDenovo(seqtab, method = chimeraMethod, minFoldParentOverAbundance = minParentFold, 
       allowOneOff = allowOneOff, multithread = multithread)
Traceback (most recent call last):
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 326, in denoise_paired
    run_commands([cmd])
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada.R', '--input_directory', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/forward', '--input_directory_reverse', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/reverse', '--output_path', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/output.tsv.biom', '--output_track', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/track.tsv', '--filtered_directory', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/filt_f', '--filtered_directory_reverse', '/var/folders/vp/7wpdt8t91tl9km9y33lj7wjc0000gn/T/tmpb__cf4qp/filt_r', '--truncation_length', '240', '--truncation_length_reverse', '240', '--trim_left', '1', '--trim_left_reverse', '1', '--max_expected_errors', '29', '--max_expected_errors_reverse', '29', '--truncation_quality_score', '2', '--min_overlap', '12', '--pooling_method', 'independent', '--chimera_method', 'consensus', '--min_parental_fold', '1.0', '--allow_one_off', 'False', '--num_threads', '1', '--learn_min_reads', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/q2cli/commands.py", line 352, in __call__
    results = action(**arguments)
  File "<decorator-gen-56>", line 2, in denoise_paired
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 234, in bound_callable
    outputs = self._callable_executor_(scope, callable_args,
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 381, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/Users/NovaSouthEasternUniversity/johnp/minicondaMac/envs/qiime2-2023.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 339, in denoise_paired
    raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Also note the read 2 Q scores were a little low and I'm not sure if that may have contributed, although my colleague's samples from the same run with similar stats ran fine.

Please let me know if anyone has any ideas as to what the issue could be.

Hello @fajulbor. I'm not 100% positive what is causing the issue here, but I looked at the dada2 source, and the way the error is being raised suggests all of your sequences were filtered out before reaching that point. It may be worth while playing around with your parameters to dada2 if you haven't already.

In addition to that, a possible workaround is using deblur instead of dada2.

2 Likes

Hi @Oddant1,

Appreciate the quick reply. I looked at the deblur page, and it seems to be only for single end sequences, whereas I have paired end. I will play around with my dada2 parameters and see what I can get. Thanks!

hi did you solve it?